Upload file
curl --request POST \
--url https://api.debbiecollect.com/v1/{tenantId}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Base64 encoded file content",
"contentType": "application/pdf",
"name": "file.pdf"
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/files"
payload = {
"content": "Base64 encoded file content",
"contentType": "application/pdf",
"name": "file.pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Base64 encoded file content',
contentType: 'application/pdf',
name: 'file.pdf'
})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.debbiecollect.com/v1/{tenantId}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => 'Base64 encoded file content',
'contentType' => 'application/pdf',
'name' => 'file.pdf'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.debbiecollect.com/v1/{tenantId}/files"
payload := strings.NewReader("{\n \"content\": \"Base64 encoded file content\",\n \"contentType\": \"application/pdf\",\n \"name\": \"file.pdf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.debbiecollect.com/v1/{tenantId}/files")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"Base64 encoded file content\",\n \"contentType\": \"application/pdf\",\n \"name\": \"file.pdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.debbiecollect.com/v1/{tenantId}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"Base64 encoded file content\",\n \"contentType\": \"application/pdf\",\n \"name\": \"file.pdf\"\n}"
response = http.request(request)
puts response.read_body{
"id": "8d9f0c1e-2b3a-4c5d-6e7f-8a9b0c1d2e3f",
"fileName": "file.pdf",
"contentType": "application/pdf"
}Files
Upload file
Upload a file. The returned file id can be used as an appendix on a case voucher, for example a pdf copy of an invoice.
Required scope: write:files
POST
/
v1
/
{tenantId}
/
files
Upload file
curl --request POST \
--url https://api.debbiecollect.com/v1/{tenantId}/files \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "Base64 encoded file content",
"contentType": "application/pdf",
"name": "file.pdf"
}
'import requests
url = "https://api.debbiecollect.com/v1/{tenantId}/files"
payload = {
"content": "Base64 encoded file content",
"contentType": "application/pdf",
"name": "file.pdf"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'Base64 encoded file content',
contentType: 'application/pdf',
name: 'file.pdf'
})
};
fetch('https://api.debbiecollect.com/v1/{tenantId}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.debbiecollect.com/v1/{tenantId}/files",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'content' => 'Base64 encoded file content',
'contentType' => 'application/pdf',
'name' => 'file.pdf'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.debbiecollect.com/v1/{tenantId}/files"
payload := strings.NewReader("{\n \"content\": \"Base64 encoded file content\",\n \"contentType\": \"application/pdf\",\n \"name\": \"file.pdf\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.debbiecollect.com/v1/{tenantId}/files")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"content\": \"Base64 encoded file content\",\n \"contentType\": \"application/pdf\",\n \"name\": \"file.pdf\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.debbiecollect.com/v1/{tenantId}/files")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"content\": \"Base64 encoded file content\",\n \"contentType\": \"application/pdf\",\n \"name\": \"file.pdf\"\n}"
response = http.request(request)
puts response.read_body{
"id": "8d9f0c1e-2b3a-4c5d-6e7f-8a9b0c1d2e3f",
"fileName": "file.pdf",
"contentType": "application/pdf"
}Authorizations
Authentication with an API key can be done by using a bearer token in the Authorization header. This is done using the following format Authorization: Bearer {token}. API keys are issued and revoked directly from the creditor portal under Developers > API.
Path Parameters
Id of your debt collection partner's tenant. You can find it on the API page in the creditor portal.
Query Parameters
Your creditor id. You can find it on the API page in the creditor portal.
Body
application/json
New file object